#1900 closed defect (fixed)

Covoar : adding backend calculating instructions execution count for future gcov support

Reported by: Pawel Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: unspecified Version: 4.11
Severity: normal Keywords:
Cc: pzagor@… Blocked By:
Blocking:

Description

CHANGES DESCRIPTION:

CoverageMapBase?.cc

  • changed wasExecuted member of perAddressInfo_t to be a uint32_t instead of bool
  • modified setWasExecuted( ) method for backward compatibility
  • modified wasExecuted( ) method for backward compatibility
  • added sumWasExecuted( ) metod for merging coverage maps
  • added getWasExecuted( ) method as interface for geting execution counts
  • updated CoverageMapBase?.h accordingly with definitions and doxygen documentation

DesiredSymbols?.cc

  • updated algorithm for merging execution data

CHANGES TESTED:

By running baseline test suite for qemuppc and manually checking if colected data is sane.

DOCUMENTATION:

Doxygen only.

Attachments (2)

covoar.patch (7.8 KB) - added by Pawel on Aug 18, 2011 at 4:59:03 PM.
Covoar : adding backend calculating instruction execution counts for future gcov support
rtems-testing.patch (14.9 KB) - added by Pawel on Aug 31, 2011 at 6:47:40 PM.
Another path to change taken/was taken into counters

Download all attachments as: .zip

Change History (6)

Changed on Aug 18, 2011 at 4:59:03 PM by Pawel

Attachment: covoar.patch added

Covoar : adding backend calculating instruction execution counts for future gcov support

comment:1 Changed on Aug 18, 2011 at 4:59:15 PM by Pawel

Cc: Pawel added

Changed on Aug 31, 2011 at 6:47:40 PM by Pawel

Attachment: rtems-testing.patch added

Another path to change taken/was taken into counters

comment:2 Changed on Sep 1, 2011 at 11:07:36 AM by Pawel

Resolution: fixed
Status: newclosed

Closing this PR

comment:3 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

comment:4 Changed on Oct 10, 2017 at 6:46:55 AM by Sebastian Huber

Component: testingunspecified
Note: See TracTickets for help on using tickets.